VLCKit: VLCStreamOutput Class Reference

VLCKit

Instance Methods | Class Methods | List of all members
VLCStreamOutput Class Reference

`#import <VLCStreamOutput.h>`

Inheritance diagram for VLCStreamOutput:

## Instance Methods
(instancetype) | - initWithOptionDictionary:

## Class Methods
(instancetype) | + streamOutputWithOptionDictionary:
(id) | + rtpBroadcastStreamOutputWithSAPAnnounce:
((deprecated) | + __attribute__
(id) | + ipodStreamOutputWithFilePath:
(instancetype) | + streamOutputWithFilePath:
(id) | + mpeg2StreamOutputWithFilePath:
(id) | + mpeg4StreamOutputWithFilePath:

## Detailed Description

a class allowing you to stream media based on predefined definitions

## Method Documentation

## ◆ __attribute__

+ ((deprecated) __attribute__ |  |  |

Deprecated:
  will be removed in the next release

## ◆ initWithOptionDictionary:

- (instancetype) initWithOptionDictionary: |  | ((deprecated)) | __attribute__ |

Deprecated:
  will be removed in the next release

## ◆ ipodStreamOutputWithFilePath:

+ (id) ipodStreamOutputWithFilePath: |  | ((deprecated)) | __attribute__ |

Deprecated:
  will be removed in the next release

## ◆ mpeg2StreamOutputWithFilePath:

+ (id) mpeg2StreamOutputWithFilePath: |  | ((deprecated)) | __attribute__ |

Deprecated:
  will be removed in the next release

## ◆ mpeg4StreamOutputWithFilePath:

+ (id) mpeg4StreamOutputWithFilePath: |  | ((deprecated)) | __attribute__ |

Deprecated:
  will be removed in the next release

## ◆ rtpBroadcastStreamOutputWithSAPAnnounce:

+ (id) rtpBroadcastStreamOutputWithSAPAnnounce: |  | ((deprecated)) | __attribute__ |

Deprecated:
  will be removed in the next release

## ◆ streamOutputWithFilePath:

+ (instancetype) streamOutputWithFilePath: |  | ((deprecated)) | __attribute__ |

Deprecated:
  will be removed in the next release

## ◆ streamOutputWithOptionDictionary:

+ (instancetype) streamOutputWithOptionDictionary: |  | ((deprecated)) | __attribute__ |

Deprecated:
  will be removed in the next release

The documentation for this class was generated from the following file:

- Headers/Public/VLCStreamOutput.h